{* <!-- Event Cats (event categories) LucMorizur June 2009 - ... --> *}

{* <!-- Keeps file coded in UTF-8 without BOM: é --> *}

{include file = $HeaderIncTPL}
{include file = 'include/datepicker.inc.tpl'}

{* <!-- Remove a strange unwanted line at the bottom of the screen --> *}
{html_head} {literal}
  <link rel = "stylesheet" type = "text/css" href = "{$RACINE_URL}themes/default/js/ui/theme/ui.datepicker.css">
  <style type = "text/css"> #ui-datepicker-div { display:none; } </style>
{/literal} {/html_head}

{* <!-- JS functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>

{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
<div style = "text-align:right; font-style:italic;">
  <span id = "ec_help_banner2">
    {'Help banner'|@translate}&nbsp;
    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
      {'Show'|@translate}
    </label>
    &nbsp;
    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
      {'Hide'|@translate}
    </label>
    &nbsp;—&nbsp;
  </span>
  {if $ec_ap_ok}
    {'Additional Pages active'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = {if count($ec_lists.add_pages) == 0}false{else}true{/if};
    </script>
  {else}
    {'Additional Pages inactive'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = false;
    </script>
  {/if}
</div><span id = "ec_help_ban"></span>
<script type = "text/javascript"><!--
  de('ec_help_banner2').style.display = "none";
//--></script>

{* <!-- Parameters list --> *}
<form class = "filter" method = "post" name = "ec_new_code" action = "" onsubmit = "return ec_check_submit();">
  <p>
    <input type = "hidden" id = "ec_act1_id" name = "ec_act1">
    <input type = "hidden" id = "ec_act2_id" name = "ec_entry_sel">
  </p>
  
  {* <!-- Page title. Can be "New entry" or "Entry modification" --> *}
  <div style = "text-align:center;">
    <a style = "font-weight:bold; font-size:120%;" href = "#ec_top" name = "ec_top" title = "{'Place title on top ttip'|@translate}">
      <!--[if !IE]> <--> <label> <!--> <![endif]-->
        {if $ec_is_creation}
          {'New entry title'|@translate}
        {else}
          {'Modify entry title'|@translate}
        {/if}
      <!--[if !IE]> <--> </label> <!--> <![endif]-->
      <!-- What we're able to do for our "prefered" browser |-( ...!  -->
    </a>
    {if $ec_is_creation}
      <br><br>
      <input class = "submit" type = "button" value = "{'Full auto'|@translate}"
       id = "ec_submit_gen_full_auto_id" onclick = "ec_gen_full_auto();" style = "margin-top:0;"/>
    {/if}
  </div>
  
  {* <!-- [ [ [New] / [existing] code] / [Existing entry] ] selection --> *}
  <div id = "reduced_first_fieldset_id" class = "reduced_fieldsets" style = "display:none;">
    <img id = "reduced_first_fieldset_bullet_id" class = "plus_bullets" alt = "" title = "" src = "{$EVNTCATS_URLS.ROOT}icon/plus.png">
    <span style = "font-weight:bold;" id = "first_fieldset_legend_id1" class = "reduced_fieldsets_legend"
     >{if $ec_is_creation}{'Code'|@translate}{else}{'Selected entry'|@translate}{/if}</span>&nbsp;: 
    <span id = "first_fieldset_value_id"></span>
    <span id = "first_fieldset_comment_id"></span>
  </div>
  <fieldset id = "maximized_first_fieldset_id">
    <legend style = "font-weight:bold;">
      <img id = "maximized_first_fieldset_bullet_id" class = "minus_bullets" alt = "" title = "" src = "{$EVNTCATS_URLS.ROOT}icon/minus.png">
      <script type = "text/javascript">d.write(de('first_fieldset_legend_id1').innerHTML);</script>
    </legend>
    <ul>
    
      {if $ec_is_creation}
        <li>
          {* <!-- New code (to create) --> *}
          <label for = "ec_in_up_code_id" onclick = "ec_mark_code('ec_sel_code_new');" {$ec_hidden_when_no_code} >
            <input type = "radio" name = "ec_sel_code" value = "new" id = "ec_sel_code_new"/>
            {'New code'|@translate}
          </label>
          <span {$ec_hidden_when_no_code} >&nbsp;</span>
          <label for = "ec_in_up_code_id" style = "margin:0;">
            <input class = "submit" type = "button" value = "{'Auto code button'|@translate}"
             id = "ec_submit_gen_code_id" onclick = "ec_gen_code();" style = "margin:0;"
           >
          </label>
          {'Auto code mid'|@translate}
          <select name = "ec_in_up_auto_code_length" id = "ec_in_up_auto_code_length_id" onchange = "ec_auto_code_digits_nb = this.value;">
            {foreach from = $ec_auto_code_dg_nb item = ec_item name = listloop}
              <option value = "{$ec_item}">
                {$ec_item}
                {if $smarty.foreach.listloop.index == 0}
                  {'Auto code min'|@translate}
                {/if}
                {if $smarty.foreach.listloop.index == count($ec_auto_code_dg_nb) - 1}
                  {'Auto code max'|@translate}
                {/if}
              </option>
            {/foreach}
          </select>
          {'Auto code end'|@translate}<br>
        </li>
        
        <li style = "padding-left: 30px;">
          <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
           id = "ec_in_up_code_id" onblur = "ec_check_code_text(this.value);"
         >
          &nbsp;—&nbsp;
          <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
            <span style = "font-weight:bold; font-style:italic;">{'Comment'|@translate}</span>
            <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
              onchange = "ec_new_comment_text = this.value;"
           >
          </label>
        </li>
        
        <li>
          {* <!-- Known code --> *}
          <label for = "ec_in_up_code_list_id" onclick = "ec_mark_code('ec_sel_code_old');" {$ec_hidden_when_no_code}>
            <input type = "radio" name = "ec_sel_code" {$ec_hidden_when_no_code} value = "old" id = "ec_sel_code_old">
            {'Existing code'|@translate}
          </label>
          <select name = "ec_in_up_code_list" id = "ec_in_up_code_list_id" onchange = "ec_change_code_list(this.value);" {$ec_hidden_when_no_code} >
            {foreach from = $ec_lists.duplicable_codes.codes key = ec_key item = ec_val}
              <option value = "{$ec_val.id}">
                {$ec_key}
                {if $ec_val.comment != ''}
                  &nbsp;—&nbsp;{$ec_val.comment}
                {/if}
              </option>
            {/foreach}
          </select>
        </li>
        
      {else}
        
        {* <!-- Existing entry selection --> *}
        <li>
          {* <!-- Entry choice --> *}
          <select name = "ec_in_up_entry_list" id = "ec_in_up_entry_list_id" onchange = "ec_mark_entry(this.value);">
            {foreach from = $ec_lists.ec_table item = ec_val}
              <option value = "{$ec_val.id}">
                {$ec_val.id} : {$ec_val.code}
                {if $ec_val.comment != ''}
                  &nbsp;—&nbsp;{$ec_val.comment}
                {/if}
              </option>
            {/foreach}
          </select>
          &nbsp;—&nbsp;
            <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
              <span style = "font-weight:bold;  font-style:italic;">{'Comment'|@translate}</span>
              <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
               onchange = "ec_new_comment_text = this.value;">
            </label>
        </li>
        
      {/if}
    
    </ul>
  </fieldset>
  
  {* <!-- User to identify --> *}
  <fieldset>
    <legend style = "font-weight:bold;">
      {'Identified user'|@translate}
      <span style = "font-weight:bold; color:red;" id = "ec_in_up_pwd_warn">&nbsp;</span><br>
    </legend>
      <ul>
      
        {if !$ec_is_creation}
          <li>
            {* <!-- None --> *}
            <label onclick = "return ec_mark_user('ec_sel_user_none');">
              <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none">
              {'No user'|@translate}
            </label><br>
          </li>
        {/if}
        
        <li>
          {* <!-- New user (to create) --> *}
          <label for = "ec_in_up_usr_txt_id" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
            <input type = "radio" name = "ec_sel_user" value = "new" id = "ec_sel_user_new" {$ec_hidden_when_no_user}>
            {'New generic user'|@translate}
          </label>
          <span {$ec_hidden_when_no_user} >&nbsp;</span>
          <label for = "ec_in_up_usr_txt_id" style = "margin:0;">
            <input class = "submit" type = "button" value = "{'Generate username'|@translate}"
             id = "ec_submit_gen_user_id" onclick = "ec_gen_user();"
           >
          </label>
        </li>
        <li style = "padding-left: 30px;">
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'New username'|@translate}<br>
            <input type = "text" name = "login" id = "ec_in_up_usr_txt_id" maxlength = "50"
             size = "20" onblur = "ec_new_user_text = this.value; ec_check_user_text();"
           >
          </label>
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'New password'|@translate}<br>
            <input type = "text" name = "password" id = "ec_in_up_psd_txt_id" maxlength = "32"
             size = "20" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
           >
          </label>
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'Confirm password'|@translate}<br>
            <input type = "password" id = "ec_confirm_psd_txt_id" maxlength = "32" size = "20"/>
          </label>
          <label class = "ec_block" onclick = "ec_check_grp_text(); return ec_mark_user('ec_sel_user_new');" for = "ec_in_up_grp_txt_id">
            <input type = "checkbox" name = "ec_in_up_newgroup" id = "ec_in_up_newgroup_id"
             onchange = "ec_selected_old_group = (this.checked != '');"
           >
            <span onMouseover = "ec_chk_over_grp = true;" onMouseout = "ec_chk_over_grp = false;">
              {'New group'|@translate}
            </span><br>
            <input type = "text" name = "groupname" id = "ec_in_up_grp_txt_id" maxlength = "32"
             size = "20" onblur = "ec_new_grp_text = this.value; if (this.value != '') ec_selected_old_group = true;"
           >
          </label><br>
        </li>
        
        <li>
          {* <!-- Known user --> *}
          <label for = "ec_in_up_usr_list_id" onclick = "return ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
            <input type = "radio" name = "ec_sel_user" {$ec_hidden_when_no_user} value = "old" id = "ec_sel_user_old">
            {'Existing user'|@translate}
          </label>
          <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onchange = "ec_change_user_list(this.value);" {$ec_hidden_when_no_user} >
            {foreach from = $ec_lists.user_ids key = ec_key item = ec_val}
              <option label = "{$ec_val}" value = "{$ec_key}" >{$ec_val}</option>
            {/foreach}
          </select><br>
        </li>
    
      </ul>
  </fieldset>
  
  {* <!-- Page to display --> *}
  <fieldset>
    <legend style = "font-weight:bold;">{'Displayed page'|@translate}</legend>
    <ul>
    
      <li>
        <label class = "ec_block" for = "ec_in_up_forced_id" style = "margin-top:5px;" onclick = "ec_mark_forced();">
          <input type = "checkbox" name = "ec_in_up_forced" id = "ec_in_up_forced_id">
          <span id = "ec_style_forced_id">&nbsp;</span>
        </label>
      </li>
      
      <li>
        {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "return ec_mark_action('ec_input_action_add_p');"
         {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {/if}
        >
          <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p">
          {'Additional Page'|@translate}<br>
          <select class = "categoryList" name = "ec_in_up_aps" size = "30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
            {html_options options = $ec_lists.add_pages}
          </select>
        </label>
        
        {* <!-- Category, provided at least one category is available --> *}
        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "return ec_mark_action('ec_input_action_cat');"
         {if count($ec_lists.categories) == 0} style = "display:none;" {/if}
        >
          <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat"
            onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;"
         >
          <span onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;">{'Category'|@translate}</span><br>
          <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id" onchange = "ec_selected_cat = this.value;">
            {html_options options = $ec_lists.categories}
          </select>
        </label>
        
        {* <!-- Image, provided at least one category is available and at least one image is associated to one category --> *}
        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "return ec_mark_action('ec_input_action_img');"
         {if $ec_no_assoc or count($ec_lists.categories) == 0} style = "display:none;" {/if}
        >
          <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img">
          {'Image id'|@translate}<br>
          <input type = "text" name = "ec_in_up_img" id = "ec_in_up_imgs_id" maxlength = "6"
           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "return ec_mark_action('ec_input_action_img');"
         ><br>
          <span id = "ec_in_up_imgs_warn">&nbsp;</span><br>
        </label>
        
        {* <!-- Index page --> *}
        <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_home');">
          <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home">
          {'Home'|@translate}
        </label>
        
        {* <!-- Access denied page (only when modifying an entry) --> *}
        {if !$ec_is_creation}
          <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_refused');">
            <input type = "radio" name = "ec_input_action" value = "refused" id = "ec_input_action_refused">
            {'Access denied'|@translate}
          </label>
        {/if}
      </li>
    
    </ul>
  </fieldset>
  
  {* <!-- Validity date --> *}
  
  {*
    <!--
      Next steps:
        _ check if initialize validity date with JS is doable;   DONE
        _ check if ' onchange = "ec_update_ts();" ' can be used; DONE
        _ implement JS:
          _ tick checkboxes when necessary;
          _ throw proper information when submitting form.
        _ implement PHP ;
        _ commit, and drink a pint!
      {''|@translate}
    -->
  *}
  
  <fieldset>
    <legend style = "font-weight:bold;">{'Validity date'|@translate}</legend>
    <table style = "margin-left: 0px; text-align:left;">
      <tr>
        
        <td style="vertical-align:top; margin-top:0;">
          <p style = "text-align:left; padding-bottom: 1em; padding-top: 0; margin-top: 0pt; font-weight: bold;">
            <label for = "ec_valid_date_on_id">
              <input type = "checkbox" name = "ec_valid_date_on" id = "ec_valid_date_on_id">
              {'Activate'|@translate}
            </label>
          </p>
          <p style = "text-align:left;">
            <input type = "text" id = "ec_validity_sel_day" style = "text-align:right; border:none; cursor:default;" disabled = "disabled">&nbsp;
            <select id = "ec_validity_day_id" name = "ec_validity_day" class = "ec_valid_ctl ec_datepicker">
              <option value = "0">--</option>
              {section name=day start=1 loop=32}
                <option value = "{$smarty.section.day.index}">
                  {$smarty.section.day.index}
                </option>
              {/section}
            </select>
            <select id = "ec_validity_month_id" name = "ec_validity_month" class = "ec_valid_ctl ec_datepicker">
              {html_options options=$month_list}
            </select>
            <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4"
             maxlength = "4" style = "text-align:right; " class = "ec_valid_ctl ec_datepicker">
            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" class = "ec_valid_ctl ec_datepicker"
             size = "5" maxlength = "5" title = "{'Hours field tooltip'|@translate}" style = "text-align:right; ">
            <input id = "ec_linked_date_id" name = "ec_linked_date_id" type = "hidden" size = "10" disabled = "disabled">
            <img id = "ec_tmp_img" class = "ui-datepicker-trigger" alt = "" title = ""
             src = "{$EVNTCATS_URLS.ROOT}icon/tmp.png" style = "display:none; cursor:default;">
          </p>
          <p style = "text-align:left;">
            <input id = "ec_date_today_btn_id" type = "button" value = "{'Now + 2 mn'|@translate}"
             class = "ec_valid_ctl submit" title = "{'Now button tooltip'|@translate}" onclick = "ec_mark_now();">&nbsp;—&nbsp;
            <input id = "ec_set_time_to_btn_id" type = "button" value = "{'Set time to'|@translate}"
             class = "ec_valid_ctl submit" onclick = "ec_valid_set_time_to(document.getElementById('ec_set_time_to_id').selectedIndex);">&nbsp;
            <select id = "ec_set_time_to_id" name = "ec_set_time_to" onchange = "ec_valid_set_time_to(this.selectedIndex);" class = "ec_valid_ctl">
              {section name=time start=0 loop=24}
                <option label = "{if strlen($smarty.section.time.index) lt 2}0{/if}{$smarty.section.time.index}:00" value = "{$smarty.section.time.index}">
                  {if strlen($smarty.section.time.index) lt 2}0{/if}{$smarty.section.time.index}:00
                </option>
              {/section}
            </select>
          </p>
          <p style = "text-align:left;">
            <input id = "ec_date_add_btn_id" type = "button" value = "{'Add'|@translate}" title = "{'Add button tooltip'|@translate}" class = "ec_valid_ctl submit"
             onclick = "ec_add_time(document.getElementById('ec_date_add_val_id').value, document.getElementById('ec_date_add_kind_id').selectedIndex);">&nbsp;
            <input id = "ec_date_add_val_id" type = "text" size = "5" maxlength = "5" value = "" style = "text-align:right;" class = "ec_valid_ctl">&nbsp;
            <select id = "ec_date_add_kind_id" name = "ec_date_add_kind" class = "ec_valid_ctl">
              <option label = "{'Minutes'|@translate}" value = "minutes">{'Minutes'|@translate}</option>
              <option label = "{'Hours'|@translate}"   value = "hours"  >{'Hours'|@translate}</option>
              <option label = "{'Days'|@translate}"    value = "days"   >{'Days'|@translate}</option>
              <option label = "{'Months'|@translate}"  value = "months" >{'Months'|@translate}</option>
              <option label = "{'Years'|@translate}"   value = "years"  >{'Years'|@translate}</option>
            </select>
          </p>
          <br>
          <table>
            <tr>
              <td style = "text-align:right; vertical-align:top; font-weight:bold;">
                <label for = "ec_notify_id" title = "{'Notify label tooltip'|@translate}">
                  <input type = "checkbox" name = "ec_notify" id = "ec_notify_id" disabled = "disabled">
                  {'Do notify'|@translate}
                </label>
              </td>
              <td style = "text-align:left;">
                <ul style = "list-style-type:none; list-style-position:inside; padding-left:0.5em;">
                  <li style = "margin-bottom:0;">
                    <label for = "ec_notify_user_id">
                      <input type = "checkbox" name = "ec_notify_user" id = "ec_notify_user_id" class = "ec_valid_ctl">
                      {'The user'|@translate}
                    </label>
                  </li>
                  <li style = "margin-bottom:0;">
                    <label for = "ec_notify_webm_id">
                      <input type = "checkbox" name = "ec_notify_webm" id = "ec_notify_webm_id" class = "ec_valid_ctl">
                      {'The webmaster'|@translate}
                    </label>
                  </li>
                  <li style = "margin-bottom:0;">
                    <label for = "ec_notify_admins_id">
                      <input type = "checkbox" name = "ec_notify_admins" id = "ec_notify_admins_id" class = "ec_valid_ctl">
                      {'All administrators'|@translate}
                    </label>
                  </li>
                </ul>
              </td>
            </tr>
          </table>
          <p style = "display:none;">
            <!-- jQuery datepicker: see (french) http://fr.piwigo.org/forum/viewtopic.php?id=19042 -->
            <select id = "ec_min_day_id" name = "ec_min_day">
              <option value = "0">--</option>
              {section name=day start=1 loop=32}
                <option value = "{$smarty.section.day.index}">
                  {$smarty.section.day.index}
                </option>
              {/section}
            </select>
            <select id = "ec_min_month_id" name = "ec_min_month">
              {html_options options=$month_list}
            </select>
            <input id = "ec_min_year_id" name = "ec_min_year" type = "text" size = "4" maxlength = "4">
            <input id = "ec_min_date_id" name = "ec_min_date_id" type = "hidden" disabled = "disabled">
            <input id = "ec_valid_offset_id" name = "ec_valid_offset" type = "text">
          </p>
          {* <!-- For tests purpose; must be removed --> *}
          <p style = "text-align:left;">
            <span id = "ec_span_tst_id"></span>
          </p>
          {* <!-- /For tests purpose; must be removed --> *}
        </td>
        
        <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
        
        <td style="vertical-align:top; margin-top:0;">
          <table>
            <tr>
              <td style = "text-align:right; vertical-align:top; font-weight:bold;">
                {'Page once code outdated'|@translate}
              </td>
              <td style = "text-align:left;">
                <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
                  <li style = "margin-bottom:0;">
                    <label for = "ec_date_unknown_0_id">
                      <input type = "radio" name = "ec_date_unknown" value = "0" id = "ec_date_unknown_0_id" class = "ec_valid_ctl">
                      {'Home'|@translate}
                    </label>
                  </li>
                  <li style = "margin-bottom:0;">
                    <label for = "ec_date_unknown_1_id">
                      <input type = "radio" name = "ec_date_unknown" value = "1" id = "ec_date_unknown_1_id" class = "ec_valid_ctl">
                      {'Access denied'|@translate}
                    </label>
                  </li>
                  {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
                  <li {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {else} style = "margin-bottom:0;" {/if} >
                    <label for = "ec_date_in_up_aps_id">
                      <input type = "radio" name = "ec_date_unknown" value = "2" id = "ec_date_unknown_2_id" class = "ec_valid_ctl">
                      {'Additional Page'|@translate}<br>
                      <select class = "ec_valid_ctl categoryList" name = "ec_date_in_up_aps" size = "30" id = "ec_date_in_up_aps_id" >
                        {html_options options = $ec_lists.add_pages}
                      </select>
                    </label>
                  </li>
                </ul>
              </td>
            </tr>
          </table>
        </td>
        
      </tr>
    </table>
    
  </fieldset>
  
  
  <p style = "margin-top:0;">
    <input class = "submit" type = "submit" value = "{'Submit'|@translate}" style = "margin-top:1em;">
    <input class = "submit" type = "submit" value = "{'Reset'|@translate}" onclick = "return ec_init();" style = "margin-top:1em;">
  </p>
</form>

{* <!-- JavaScript functions --> *}
<script type = "text/javascript"><!--
  ec_is_creation                          = {if $ec_is_creation}true{else}false{/if};
  ec_validity_on                          = {if $ec_validity_on}true{else}false{/if};
  ec_up_code_lbl_forced_txt               = "{'Forced'|@translate}";
  ec_JS_message['ec_gen_user_act_miss']   = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_cat_miss']        = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_img_miss']        = "{'ec_act_img_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_new_pwd_gen']         = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
  ec_JS_message['ec_clk_entry_miss']      = "{'ec_clk_entry_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_force']       = "{'ec_confirm_force'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_del_other']   = "{'ec_confirm_del_other'|@translate|@escape:javascript}";
  ec_JS_message['ec_user_already_exists'] = "{'ec_user_already_exists'|@translate|@escape:javascript}";
  ec_JS_message['ec_code_already_exists'] = "{'ec_code_already_exists'|@translate|@escape:javascript}";
  ec_JS_message['ec_conf_pwd_dont_match'] = "{'ec_conf_pwd_dont_match'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_change_user'] = "{'ec_confirm_change_user'|@translate|@escape:javascript}";
  ec_JS_message['Home']                   = "{'Home'|@translate}";
  ec_JS_message['ec_submit_code_miss']    = "{'ec_submit_code_miss'|@translate}";
  ec_JS_message['ec_submit_user_miss']    = "{'ec_submit_user_miss'|@translate}";
  ec_JS_message['ec_submit_action_miss']  = "{'ec_submit_action_miss'|@translate}";
  ec_JS_message['ec_submit_code_bad']     = "{'ec_submit_code_bad'|@translate}";
  ec_default_action                       = "{$ec_default_action}";
  ec_default_entry                        = "{$ec_default_entry}";
  ec_auto_code_digits_nb                  = "{$ec_def_auto_code_dg_nb}";
  {if $ec_is_creation}
    {foreach from = $ec_lists.duplicable_codes.ids key = ec_key item = ec_val}
      ec_duplic_codes[{$ec_key}] = {$ec_val};
    {/foreach}
  {/if}
  {foreach from = $ec_lists.ec_table item = ec_val name = listloop}
    ec_lists_temp[{$smarty.foreach.listloop.index}] =
     "{$ec_val.id};{$ec_val.code};{$ec_val.user_id};{$ec_val.action};{$ec_val.arg1};{$ec_val.arg2};{$ec_val.forced};{$ec_val.comment}";
  {/foreach}
  {foreach from = $ec_days item = ec_day name = listloop}
    ec_validity_days[{$smarty.foreach.listloop.index}] = "{$ec_day}";
  {/foreach}
  ec_build_ec_lists();
  ec_init();
  //-->
</script>

{include file = $FooterIncTPL}
